GZEXE(1)

NOM
gzexe - Compacter sur place les fichiers exécutables

SYNOPSIS
gzexe nom ...

DESCRIPTION
L'utilitaire gzexe vous permet de compacter sur place des exécutables pour qu'ils se décompactent automatiquement et s'exécutent là où vous les appelez (au prix d'une perte de performance). Par exemple, si vous exécutez « gzexe /usr/bin/gdb », il créera les deux fichiers suivants :

    -rwxr-xr-x  1 root root 1026675 Jun  7 13:53 /usr/bin/gdb
    -rwxr-xr-x  1 root root 2304524 May 30 13:02 /usr/bin/gdb~
/usr/bin/gdb~ est le fichier original et /usr/bin/gdb est le fichier exécutable auto-extractible. Vous pouvez supprimer /usr/bin/gdb~ une fois que vous êtes sûr que /usr/bin/gdb fonctionne correctement.

Cet utilitaire est principalement utile sur les systèmes ayant de très petits disques.

OPTIONS

-d  Décompacter les exécutables fournis au lieu de les compacter.

AVERTISSEMENTS
L'exécutable compacté est un script shell. Cela peut créer quelques trous de sécurité. En particulier, l'exécutable compacté utilise la variable d'environnement PATH pour trouver gzip(1) et d'autres utilitaires classiques (basename(1), chmod(1), ln(1), mkdir(1), mktemp(1), rm(1), sleep(1) et tail(1)).

BOGUES
gzexe essaie de préserver les attributs du fichier original sur l'exécutable compacté, mais vous pourriez devoir les régler par vous-même dans certains cas, en utilisant chmod(1) ou chown(1).

VOIR AUSSI
gzip(1), znew(1), zmore(1), zcmp(1), zforce(1)

TRADUCTION

Ce document est une traduction réalisée par Frédéric Delanoy <delanoy_f AT yahoo DOT com> le 27 octobre 2001 et révisée le 26 mai 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 gzexe ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.